initial commit
[goodguy/history.git] / cinelerra-5.0 / libzmpeg3 / a52dec-0.7.3 / config.status
1 #! /bin/sh
2 # Generated automatically by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 SHELL=${CONFIG_SHELL-/bin/sh}
9 ac_cs_invocation="$0 $@"
10
11 # Be Bourne compatible
12 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
13   emulate sh
14   NULLCMD=:
15 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
16   set -o posix
17 fi
18
19 # Name of the executable.
20 as_me=`echo "$0" |sed 's,.*[\\/],,'`
21
22 if expr a : '\(a\)' >/dev/null 2>&1; then
23   as_expr=expr
24 else
25   as_expr=false
26 fi
27
28 rm -f conf$$ conf$$.exe conf$$.file
29 echo >conf$$.file
30 if ln -s conf$$.file conf$$ 2>/dev/null; then
31   # We could just check for DJGPP; but this test a) works b) is more generic
32   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
33   if test -f conf$$.exe; then
34     # Don't use ln at all; we don't have any links
35     as_ln_s='cp -p'
36   else
37     as_ln_s='ln -s'
38   fi
39 elif ln conf$$.file conf$$ 2>/dev/null; then
40   as_ln_s=ln
41 else
42   as_ln_s='cp -p'
43 fi
44 rm -f conf$$ conf$$.exe conf$$.file
45
46 as_executable_p="test -f"
47
48 # Support unset when possible.
49 if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
50   as_unset=unset
51 else
52   as_unset=false
53 fi
54
55 # NLS nuisances.
56 $as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
57 $as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
58 $as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
59 $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
60 $as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
61 $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
62 $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
63 $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
64
65 # IFS
66 # We need space, tab and new line, in precisely that order.
67 as_nl='
68 '
69 IFS="   $as_nl"
70
71 # CDPATH.
72 $as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
73
74 exec 6>&1
75
76 config_files=" Makefile autotools/Makefile include/Makefile test/Makefile doc/Makefile src/Makefile liba52/Makefile libao/Makefile vc++/Makefile"
77 config_headers=" include/config.h"
78 config_commands=" default-1"
79
80 ac_cs_usage="\
81 \`$as_me' instantiates files from templates according to the
82 current configuration.
83
84 Usage: $0 [OPTIONS] [FILE]...
85
86   -h, --help       print this help, then exit
87   -V, --version    print version number, then exit
88   -d, --debug      don't remove temporary files
89       --recheck    update $as_me by reconfiguring in the same conditions
90   --file=FILE[:TEMPLATE]
91                    instantiate the configuration file FILE
92   --header=FILE[:TEMPLATE]
93                    instantiate the configuration header FILE
94
95 Configuration files:
96 $config_files
97
98 Configuration headers:
99 $config_headers
100
101 Configuration commands:
102 $config_commands
103
104 Report bugs to <bug-autoconf@gnu.org>."
105 ac_cs_version="\
106 config.status
107 configured by ./configure, generated by GNU Autoconf 2.52,
108   with options \" 'CFLAGS=-O3 -march=i686 -fmessage-length=0 -funroll-all-loops -fomit-frame-pointer -malign-loops=2 -malign-jumps=2 -malign-functions=2 -I/usr/local/include'\"
109
110 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
111 Free Software Foundation, Inc.
112 This config.status script is free software; the Free Software Foundation
113 gives unlimited permission to copy, distribute and modify it."
114 srcdir=.
115 INSTALL="/usr/bin/install -c"
116 # If no file are specified by the user, then we need to provide default
117 # value.  By we need to know if files were specified by the user.
118 ac_need_defaults=:
119 while test $# != 0
120 do
121   case $1 in
122   --*=*)
123     ac_option=`expr "x$1" : 'x\([^=]*\)='`
124     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
125     shift
126     set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
127     shift
128     ;;
129   -*);;
130   *) # This is not an option, so the user has probably given explicit
131      # arguments.
132      ac_need_defaults=false;;
133   esac
134
135   case $1 in
136   # Handling of the options.
137   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
138     echo "running /bin/sh ./configure "  'CFLAGS=-O3 -march=i686 -fmessage-length=0 -funroll-all-loops -fomit-frame-pointer -malign-loops=2 -malign-jumps=2 -malign-functions=2 -I/usr/local/include' " --no-create --no-recursion"
139     exec /bin/sh ./configure  'CFLAGS=-O3 -march=i686 -fmessage-length=0 -funroll-all-loops -fomit-frame-pointer -malign-loops=2 -malign-jumps=2 -malign-functions=2 -I/usr/local/include' --no-create --no-recursion ;;
140   --version | --vers* | -V )
141     echo "$ac_cs_version"; exit 0 ;;
142   --he | --h)
143     # Conflict between --help and --header
144     { { echo "$as_me:9197: error: ambiguous option: $1
145 Try \`$0 --help' for more information." >&5
146 echo "$as_me: error: ambiguous option: $1
147 Try \`$0 --help' for more information." >&2;}
148    { (exit 1); exit 1; }; };;
149   --help | --hel | -h )
150     echo "$ac_cs_usage"; exit 0 ;;
151   --debug | --d* | -d )
152     debug=: ;;
153   --file | --fil | --fi | --f )
154     shift
155     CONFIG_FILES="$CONFIG_FILES $1"
156     ac_need_defaults=false;;
157   --header | --heade | --head | --hea )
158     shift
159     CONFIG_HEADERS="$CONFIG_HEADERS $1"
160     ac_need_defaults=false;;
161
162   # This is an error.
163   -*) { { echo "$as_me:9216: error: unrecognized option: $1
164 Try \`$0 --help' for more information." >&5
165 echo "$as_me: error: unrecognized option: $1
166 Try \`$0 --help' for more information." >&2;}
167    { (exit 1); exit 1; }; } ;;
168
169   *) ac_config_targets="$ac_config_targets $1" ;;
170
171   esac
172   shift
173 done
174
175 exec 5>>config.log
176 cat >&5 << _ACEOF
177
178 ## ----------------------- ##
179 ## Running config.status.  ##
180 ## ----------------------- ##
181
182 This file was extended by $as_me 2.52, executed with
183   CONFIG_FILES    = $CONFIG_FILES
184   CONFIG_HEADERS  = $CONFIG_HEADERS
185   CONFIG_LINKS    = $CONFIG_LINKS
186   CONFIG_COMMANDS = $CONFIG_COMMANDS
187   > $ac_cs_invocation
188 on `(hostname || uname -n) 2>/dev/null | sed 1q`
189
190 _ACEOF
191 #
192 # INIT-COMMANDS section.
193 #
194
195 for ac_config_target in $ac_config_targets
196 do
197   case "$ac_config_target" in
198   # Handling of arguments.
199   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
200   "autotools/Makefile" ) CONFIG_FILES="$CONFIG_FILES autotools/Makefile" ;;
201   "include/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
202   "test/Makefile" ) CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
203   "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
204   "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
205   "liba52/Makefile" ) CONFIG_FILES="$CONFIG_FILES liba52/Makefile" ;;
206   "libao/Makefile" ) CONFIG_FILES="$CONFIG_FILES libao/Makefile" ;;
207   "vc++/Makefile" ) CONFIG_FILES="$CONFIG_FILES vc++/Makefile" ;;
208   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
209   "include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
210   *) { { echo "$as_me:9269: error: invalid argument: $ac_config_target" >&5
211 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
212    { (exit 1); exit 1; }; };;
213   esac
214 done
215
216 # If the user did not use the arguments to specify the items to instantiate,
217 # then the envvar interface is used.  Set only those that are not.
218 # We use the long form for the default assignment because of an extremely
219 # bizarre bug on SunOS 4.1.3.
220 if $ac_need_defaults; then
221   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
222   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
223   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
224 fi
225
226 # Create a temporary directory, and hook for its removal unless debugging.
227 $debug ||
228 {
229   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
230   trap '{ (exit 1); exit 1; }' 1 2 13 15
231 }
232
233 # Create a (secure) tmp directory for tmp files.
234 : ${TMPDIR=/tmp}
235 {
236   tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
237   test -n "$tmp" && test -d "$tmp"
238 }  ||
239 {
240   tmp=$TMPDIR/cs$$-$RANDOM
241   (umask 077 && mkdir $tmp)
242 } ||
243 {
244    echo "$me: cannot create a temporary directory in $TMPDIR" >&2
245    { (exit 1); exit 1; }
246 }
247
248
249 #
250 # CONFIG_FILES section.
251 #
252
253 # No need to generate the scripts if there are no CONFIG_FILES.
254 # This happens for instance when ./config.status config.h
255 if test -n "$CONFIG_FILES"; then
256   # Protect against being on the right side of a sed subst in config.status.
257   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
258    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
259 s,@SHELL@,/bin/sh,;t t
260 s,@exec_prefix@,${prefix},;t t
261 s,@prefix@,/usr/local,;t t
262 s,@program_transform_name@,s,x,x,,;t t
263 s,@bindir@,${exec_prefix}/bin,;t t
264 s,@sbindir@,${exec_prefix}/sbin,;t t
265 s,@libexecdir@,${exec_prefix}/libexec,;t t
266 s,@datadir@,${prefix}/share,;t t
267 s,@sysconfdir@,${prefix}/etc,;t t
268 s,@sharedstatedir@,${prefix}/com,;t t
269 s,@localstatedir@,${prefix}/var,;t t
270 s,@libdir@,${exec_prefix}/lib,;t t
271 s,@includedir@,${prefix}/include,;t t
272 s,@oldincludedir@,/usr/include,;t t
273 s,@infodir@,${prefix}/info,;t t
274 s,@mandir@,${prefix}/man,;t t
275 s,@PACKAGE_NAME@,,;t t
276 s,@PACKAGE_TARNAME@,,;t t
277 s,@PACKAGE_VERSION@,,;t t
278 s,@PACKAGE_STRING@,,;t t
279 s,@PACKAGE_BUGREPORT@,,;t t
280 s,@build_alias@,,;t t
281 s,@host_alias@,i686-pc-linux-gnu,;t t
282 s,@target_alias@,,;t t
283 s,@ECHO_C@,,;t t
284 s,@ECHO_N@,-n,;t t
285 s,@ECHO_T@,,;t t
286 s,@PATH_SEPARATOR@,:,;t t
287 s,@DEFS@,-DHAVE_CONFIG_H,;t t
288 s,@LIBS@,,;t t
289 s,@INSTALL_PROGRAM@,${INSTALL},;t t
290 s,@INSTALL_SCRIPT@,${INSTALL},;t t
291 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
292 s,@PACKAGE@,a52dec,;t t
293 s,@VERSION@,0.7.3,;t t
294 s,@ACLOCAL@,aclocal,;t t
295 s,@AUTOCONF@,autoconf,;t t
296 s,@AUTOMAKE@,automake,;t t
297 s,@AUTOHEADER@,autoheader,;t t
298 s,@MAKEINFO@,makeinfo,;t t
299 s,@SET_MAKE@,,;t t
300 s,@MAINTAINER_MODE_TRUE@,#,;t t
301 s,@MAINTAINER_MODE_FALSE@,,;t t
302 s,@MAINT@,#,;t t
303 s,@build@,i686-pc-linux-gnu,;t t
304 s,@build_cpu@,i686,;t t
305 s,@build_vendor@,pc,;t t
306 s,@build_os@,linux-gnu,;t t
307 s,@host@,i686-pc-linux-gnu,;t t
308 s,@host_cpu@,i686,;t t
309 s,@host_vendor@,pc,;t t
310 s,@host_os@,linux-gnu,;t t
311 s,@CC@,gcc,;t t
312 s,@CFLAGS@, -march=i686 -fmessage-length=0 -funroll-all-loops -fomit-frame-pointer -malign-loops=2 -malign-jumps=2 -malign-functions=2 -I/usr/local/include -O3 -fomit-frame-pointer -mcpu=pentiumpro -Wall -Werror,;t t
313 s,@LDFLAGS@,,;t t
314 s,@CPPFLAGS@,,;t t
315 s,@ac_ct_CC@,gcc,;t t
316 s,@EXEEXT@,,;t t
317 s,@OBJEXT@,o,;t t
318 s,@CPP@,gcc -E,;t t
319 s,@LN_S@,ln -s,;t t
320 s,@ECHO@,echo,;t t
321 s,@RANLIB@,ranlib,;t t
322 s,@ac_ct_RANLIB@,ranlib,;t t
323 s,@STRIP@,strip,;t t
324 s,@ac_ct_STRIP@,strip,;t t
325 s,@DLLTOOL@,dlltool,;t t
326 s,@ac_ct_DLLTOOL@,,;t t
327 s,@AS@,as,;t t
328 s,@ac_ct_AS@,,;t t
329 s,@OBJDUMP@,objdump,;t t
330 s,@ac_ct_OBJDUMP@,,;t t
331 s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
332 s,@INCLUDES@,-I$(top_srcdir)/include -I$(top_builddir)/include,;t t
333 s,@LIBA52_CFLAGS@, -prefer-non-pic,;t t
334 s,@LIBA52_LIBS@,,;t t
335 s,@LIBAO_LIBS@,,;t t
336 s,@A52DEC_CFLAGS@,,;t t
337 CEOF
338
339   # Split the substitutions into bite-sized pieces for seds with
340   # small command number limits, like on Digital OSF/1 and HP-UX.
341   ac_max_sed_lines=48
342   ac_sed_frag=1 # Number of current file.
343   ac_beg=1 # First line for current file.
344   ac_end=$ac_max_sed_lines # Line after last line for current file.
345   ac_more_lines=:
346   ac_sed_cmds=
347   while $ac_more_lines; do
348     if test $ac_beg -gt 1; then
349       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
350     else
351       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
352     fi
353     if test ! -s $tmp/subs.frag; then
354       ac_more_lines=false
355     else
356       # The purpose of the label and of the branching condition is to
357       # speed up the sed processing (if there are no `@' at all, there
358       # is no need to browse any of the substitutions).
359       # These are the two extra sed commands mentioned above.
360       (echo ':t
361   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
362       if test -z "$ac_sed_cmds"; then
363         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
364       else
365         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
366       fi
367       ac_sed_frag=`expr $ac_sed_frag + 1`
368       ac_beg=$ac_end
369       ac_end=`expr $ac_end + $ac_max_sed_lines`
370     fi
371   done
372   if test -z "$ac_sed_cmds"; then
373     ac_sed_cmds=cat
374   fi
375 fi # test -n "$CONFIG_FILES"
376
377 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
378   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
379   case $ac_file in
380   - | *:- | *:-:* ) # input from stdin
381         cat >$tmp/stdin
382         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
383         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
384   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
385         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
386   * )   ac_file_in=$ac_file.in ;;
387   esac
388
389   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
390   ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
391          X"$ac_file" : 'X\(//\)[^/]' \| \
392          X"$ac_file" : 'X\(//\)$' \| \
393          X"$ac_file" : 'X\(/\)' \| \
394          .     : '\(.\)' 2>/dev/null ||
395 echo X"$ac_file" |
396     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
397           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
398           /^X\(\/\/\)$/{ s//\1/; q; }
399           /^X\(\/\).*/{ s//\1/; q; }
400           s/.*/./; q'`
401   if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
402     { case "$ac_dir" in
403   [\\/]* | ?:[\\/]* ) as_incr_dir=;;
404   *)                      as_incr_dir=.;;
405 esac
406 as_dummy="$ac_dir"
407 for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
408   case $as_mkdir_dir in
409     # Skip DOS drivespec
410     ?:) as_incr_dir=$as_mkdir_dir ;;
411     *)
412       as_incr_dir=$as_incr_dir/$as_mkdir_dir
413       test -d "$as_incr_dir" || mkdir "$as_incr_dir"
414     ;;
415   esac
416 done; }
417
418     ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
419     # A "../" for each directory in $ac_dir_suffix.
420     ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
421   else
422     ac_dir_suffix= ac_dots=
423   fi
424
425   case $srcdir in
426   .)  ac_srcdir=.
427       if test -z "$ac_dots"; then
428          ac_top_srcdir=.
429       else
430          ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
431       fi ;;
432   [\\/]* | ?:[\\/]* )
433       ac_srcdir=$srcdir$ac_dir_suffix;
434       ac_top_srcdir=$srcdir ;;
435   *) # Relative path.
436     ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
437     ac_top_srcdir=$ac_dots$srcdir ;;
438   esac
439
440   case $INSTALL in
441   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
442   *) ac_INSTALL=$ac_dots$INSTALL ;;
443   esac
444
445   if test x"$ac_file" != x-; then
446     { echo "$as_me:9513: creating $ac_file" >&5
447 echo "$as_me: creating $ac_file" >&6;}
448     rm -f "$ac_file"
449   fi
450   # Let's still pretend it is `configure' which instantiates (i.e., don't
451   # use $as_me), people would be surprised to read:
452   #    /* config.h.  Generated automatically by config.status.  */
453   configure_input="Generated automatically from `echo $ac_file_in |
454                                                  sed 's,.*/,,'` by configure."
455
456   # First look for the input files in the build tree, otherwise in the
457   # src tree.
458   ac_file_inputs=`IFS=:
459     for f in $ac_file_in; do
460       case $f in
461       -) echo $tmp/stdin ;;
462       [\\/$]*)
463          # Absolute (can't be DOS-style, as IFS=:)
464          test -f "$f" || { { echo "$as_me:9531: error: cannot find input file: $f" >&5
465 echo "$as_me: error: cannot find input file: $f" >&2;}
466    { (exit 1); exit 1; }; }
467          echo $f;;
468       *) # Relative
469          if test -f "$f"; then
470            # Build tree
471            echo $f
472          elif test -f "$srcdir/$f"; then
473            # Source tree
474            echo $srcdir/$f
475          else
476            # /dev/null tree
477            { { echo "$as_me:9544: error: cannot find input file: $f" >&5
478 echo "$as_me: error: cannot find input file: $f" >&2;}
479    { (exit 1); exit 1; }; }
480          fi;;
481       esac
482     done` || { (exit 1); exit 1; }
483   sed "/^[      ]*VPATH[        ]*=/{
484 s/:*\$(srcdir):*/:/;
485 s/:*\${srcdir}:*/:/;
486 s/:*@srcdir@:*/:/;
487 s/^\([^=]*=[    ]*\):*/\1/;
488 s/:*$//;
489 s/^[^=]*=[      ]*$//;
490 }
491
492 :t
493 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
494 s,@configure_input@,$configure_input,;t t
495 s,@srcdir@,$ac_srcdir,;t t
496 s,@top_srcdir@,$ac_top_srcdir,;t t
497 s,@INSTALL@,$ac_INSTALL,;t t
498 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
499   rm -f $tmp/stdin
500   if test x"$ac_file" != x-; then
501     mv $tmp/out $ac_file
502   else
503     cat $tmp/out
504     rm -f $tmp/out
505   fi
506
507 done
508
509 #
510 # CONFIG_HEADER section.
511 #
512
513 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
514 # NAME is the cpp macro being defined and VALUE is the value it is being given.
515 #
516 # ac_d sets the value in "#define NAME VALUE" lines.
517 ac_dA='s,^\([   ]*\)#\([        ]*define[       ][      ]*\)'
518 ac_dB='[        ].*$,\1#\2'
519 ac_dC=' '
520 ac_dD=',;t'
521 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
522 ac_uA='s,^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
523 ac_uB='$,\1#\2define\3'
524 ac_uC=' '
525 ac_uD=',;t'
526
527 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
528   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
529   case $ac_file in
530   - | *:- | *:-:* ) # input from stdin
531         cat >$tmp/stdin
532         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
533         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
534   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
535         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
536   * )   ac_file_in=$ac_file.in ;;
537   esac
538
539   test x"$ac_file" != x- && { echo "$as_me:9605: creating $ac_file" >&5
540 echo "$as_me: creating $ac_file" >&6;}
541
542   # First look for the input files in the build tree, otherwise in the
543   # src tree.
544   ac_file_inputs=`IFS=:
545     for f in $ac_file_in; do
546       case $f in
547       -) echo $tmp/stdin ;;
548       [\\/$]*)
549          # Absolute (can't be DOS-style, as IFS=:)
550          test -f "$f" || { { echo "$as_me:9616: error: cannot find input file: $f" >&5
551 echo "$as_me: error: cannot find input file: $f" >&2;}
552    { (exit 1); exit 1; }; }
553          echo $f;;
554       *) # Relative
555          if test -f "$f"; then
556            # Build tree
557            echo $f
558          elif test -f "$srcdir/$f"; then
559            # Source tree
560            echo $srcdir/$f
561          else
562            # /dev/null tree
563            { { echo "$as_me:9629: error: cannot find input file: $f" >&5
564 echo "$as_me: error: cannot find input file: $f" >&2;}
565    { (exit 1); exit 1; }; }
566          fi;;
567       esac
568     done` || { (exit 1); exit 1; }
569   # Remove the trailing spaces.
570   sed 's/[      ]*$//' $ac_file_inputs >$tmp/in
571
572   # Handle all the #define templates only if necessary.
573   if egrep "^[  ]*#[    ]*define" $tmp/in >/dev/null; then
574   # If there are no defines, we may have an empty if/fi
575   :
576   cat >$tmp/defines.sed <<CEOF
577 /^[     ]*#[    ]*define/!b
578 t clr
579 : clr
580 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"a52dec"${ac_dD}
581 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.7.3"${ac_dD}
582 ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
583 ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
584 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
585 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
586 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
587 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
588 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
589 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
590 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
591 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
592 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
593 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
594 ${ac_dA}HAVE_MEMALIGN${ac_dB}HAVE_MEMALIGN${ac_dC}1${ac_dD}
595 ${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
596 ${ac_dA}LIBAO_OSS${ac_dB}LIBAO_OSS${ac_dC}${ac_dD}
597 ${ac_dA}ATTRIBUTE_ALIGNED_MAX${ac_dB}ATTRIBUTE_ALIGNED_MAX${ac_dC}64${ac_dD}
598 CEOF
599   sed -f $tmp/defines.sed $tmp/in >$tmp/out
600   rm -f $tmp/in
601   mv $tmp/out $tmp/in
602
603   fi # egrep
604
605   # Handle all the #undef templates
606   cat >$tmp/undefs.sed <<CEOF
607 /^[     ]*#[    ]*undef/!b
608 t clr
609 : clr
610 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"a52dec"${ac_uD}
611 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.7.3"${ac_uD}
612 ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
613 ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
614 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
615 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
616 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
617 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
618 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
619 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
620 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
621 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
622 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
623 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
624 ${ac_uA}HAVE_MEMALIGN${ac_uB}HAVE_MEMALIGN${ac_uC}1${ac_uD}
625 ${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
626 ${ac_uA}LIBAO_OSS${ac_uB}LIBAO_OSS${ac_uC}${ac_uD}
627 ${ac_uA}ATTRIBUTE_ALIGNED_MAX${ac_uB}ATTRIBUTE_ALIGNED_MAX${ac_uC}64${ac_uD}
628 s,^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
629 CEOF
630   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
631   rm -f $tmp/in
632   mv $tmp/out $tmp/in
633
634   # Let's still pretend it is `configure' which instantiates (i.e., don't
635   # use $as_me), people would be surprised to read:
636   #    /* config.h.  Generated automatically by config.status.  */
637   if test x"$ac_file" = x-; then
638     echo "/* Generated automatically by configure.  */" >$tmp/config.h
639   else
640     echo "/* $ac_file.  Generated automatically by configure.  */" >$tmp/config.h
641   fi
642   cat $tmp/in >>$tmp/config.h
643   rm -f $tmp/in
644   if test x"$ac_file" != x-; then
645     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
646       { echo "$as_me:9746: $ac_file is unchanged" >&5
647 echo "$as_me: $ac_file is unchanged" >&6;}
648     else
649       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
650          X"$ac_file" : 'X\(//\)[^/]' \| \
651          X"$ac_file" : 'X\(//\)$' \| \
652          X"$ac_file" : 'X\(/\)' \| \
653          .     : '\(.\)' 2>/dev/null ||
654 echo X"$ac_file" |
655     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
656           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
657           /^X\(\/\/\)$/{ s//\1/; q; }
658           /^X\(\/\).*/{ s//\1/; q; }
659           s/.*/./; q'`
660       if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
661         { case "$ac_dir" in
662   [\\/]* | ?:[\\/]* ) as_incr_dir=;;
663   *)                      as_incr_dir=.;;
664 esac
665 as_dummy="$ac_dir"
666 for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
667   case $as_mkdir_dir in
668     # Skip DOS drivespec
669     ?:) as_incr_dir=$as_mkdir_dir ;;
670     *)
671       as_incr_dir=$as_incr_dir/$as_mkdir_dir
672       test -d "$as_incr_dir" || mkdir "$as_incr_dir"
673     ;;
674   esac
675 done; }
676
677       fi
678       rm -f $ac_file
679       mv $tmp/config.h $ac_file
680     fi
681   else
682     cat $tmp/config.h
683     rm -f $tmp/config.h
684   fi
685 done
686
687 #
688 # CONFIG_COMMANDS section.
689 #
690 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
691   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
692   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
693
694   case $ac_dest in
695     default-1 ) test -z "$CONFIG_HEADERS" || echo timestamp > include/stamp-h ;;
696   esac
697 done
698
699 { (exit 0); exit 0; }